gnutls_openpgp_keyring_import(3)

NAME
gnutls_openpgp_keyring_import - Import a raw- or Base64-encoded OpenPGP keyring

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_keyring_import(gnutls_openpgp_keyring_t keyring, const gnutls_datum_t * data, gnutls_openpgp_key_fmt_t format);

ARGUMENTS

gnutls_openpgp_keyring_t keyring
    The structure to store the parsed key.

const gnutls_datum_t * data
    The RAW or BASE64 encoded keyring.

gnutls_openpgp_key_fmt_t format
    One of gnutls_openpgp_keyring_fmt elements.

DESCRIPTION
This function will convert the given RAW or Base64 encoded keyring to the native gnutls_openpgp_keyring_t format. The output will be stored in Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.